<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Post extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'content', 'image', 'date_post', 'user_id'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [

    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'date_post' => 'datetime',
    ];

    /**
     * Delete this posts tags
     */
    public function deleteTags()
    {
        $tags_to_delete = PostsTag::where('post_id', $this->id)->get();
        foreach ($tags_to_delete as $tag_to_delete) {
            $tag_to_delete->delete();
        }
    }
}
