<?php

/*/
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

Auth::routes();

// not connected
Route::get('/', 'WelcomeController@index')->name('home');

// connected
Route::group(['middleware' => ['auth']], function() {
    // posts
    Route::get('/home', 'DashboardController@index')->name('dashboard');
    Route::post('store', 'DashboardController@store')->name('store');
    Route::post('delete', 'DashboardController@delete')->name('delete');
    Route::post('edit', 'DashboardController@edit')->name('edit');

    // stats
    Route::post('stats', 'StatsController@tag')->name('stats'); // TODO make a group for stats

    // gallery
    Route::get('/display/{post_id}/{options}/{image_name}', 'ImageController@display')->name('display_image');
    Route::get('/gallery', 'ImageController@gallery')->name('gallery');

    // user
    Route::get('/user', 'UserController@index')->name('user.index');
    Route::post('/user', 'UserController@update')->name('user.update');
});
